package com.emato.cus.supervise;

import com.emato.cus.supervise.schedule.AcqGoodsMoveSchedule;
import com.emato.cus.supervise.schedule.AcqGoodsSeatSchedule;
import com.emato.cus.supervise.schedule.AcqInventoryInfoSchedule;
import com.emato.cus.supervise.schedule.AcqShelfLoadSchedule;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * ScheduleTest 定时器单元测试
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @Date 2024/2/4 10:00
 */
@SpringBootTest
public class ScheduleTest {

    @Autowired
    private AcqGoodsMoveSchedule acqGoodsMoveTask;

    @Autowired
    private AcqGoodsSeatSchedule acqGoodsSeatTask;

    @Autowired
    private AcqInventoryInfoSchedule acqInventoryInfoTask;

    @Autowired
    private AcqShelfLoadSchedule shelfLoadTask;

    /**
     * 货物库位移动数据上架
     */
    @Test
    public void testAcqGoodsMoveTask(){
        acqGoodsMoveTask.timerUp();
    }

    /**
     * 库位货物数据
     */
    @Test
    public void testAcqGoodsSeatTask(){
        acqGoodsSeatTask.timerUp();
    }

    /**
     * 货物库存数据
     */
    @Test
    public void testAcqInventoryInfoTask(){
        acqInventoryInfoTask.timer();
    }

    /**
     * 上下架数据--上架
     */
    @Test
    public void testShelfLoadUpTask(){
        shelfLoadTask.timerUp();
    }

    /**
     * 上下架数据--下架
     */
    @Test
    public void testShelfLoadDownTask(){
        shelfLoadTask.timerDown();
    }



}
